## praat 6.3.07

=== Makefile ===
# File: Makefile

# Makefile for Praat
# Paul Boersma & David Weenink, 6 June 2022

# System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
# makefile.defs, which has to be copied and renamed
# from a suitable makefile.defs.XXX file in the makefiles directory,
# Perhaps that file requires some editing.
include makefile.defs

.PHONY: all clean install

# Makes the Praat executable in the source directory.
all: all-external all-self
	$(LINK) -o $(EXECUTABLE) main/main_Praat.o $(MAIN_ICON) fon/libfon.a \
		artsynth/libartsynth.a FFNet/libFFNet.a \
		gram/libgram.a EEG/libEEG.a \
		LPC/libLPC.a dwtools/libdwtools.a \
		foned/libfoned.a fon/libfon.a stat/libstat.a \
		dwsys/libdwsys.a sys/libsys.a melder/libmelder.a kar/libkar.a \
		external/espeak/libespeak.a \
		external/portaudio/libportaudio.a \
		external/flac/libflac.a external/mp3/libmp3.a \
		external/glpk/libglpk.a \
		external/clapack/libclapack.a \
		external/gsl/libgsl.a \
		external/vorbis/libvorbis.a \
		external/opusfile/libopusfile.a \
		$(LIBS)

all-external:
	$(MAKE) -C external/clapack
	$(MAKE) -C external/gsl
	$(MAKE) -C external/glpk
	$(MAKE) -C external/mp3
	$(MAKE) -C external/flac
	$(MAKE) -C external/portaudio
	$(MAKE) -C external/espeak
	$(MAKE) -C external/vorbis
	$(MAKE) -C external/opusfile

all-self:
	$(MAKE) -C kar
	$(MAKE) -C melder
	$(MAKE) -C sys
	$(MAKE) -C dwsys
	$(MAKE) -C stat
	$(MAKE) -C fon
	$(MAKE) -C foned
	$(MAKE) -C dwtools
	$(MAKE) -C LPC
	$(MAKE) -C EEG
	$(MAKE) -C gram
	$(MAKE) -C FFNet
	$(MAKE) -C artsynth
	$(MAKE) -C main main_Praat.o $(ICON)

clean: clean-external clean-self
	$(RM) praat

clean-external:
	$(MAKE) -C external/clapack clean
	$(MAKE) -C external/gsl clean
	$(MAKE) -C external/glpk clean
	$(MAKE) -C external/mp3 clean
	$(MAKE) -C external/flac clean
	$(MAKE) -C external/portaudio clean
	$(MAKE) -C external/espeak clean
	$(MAKE) -C external/vorbis clean
	$(MAKE) -C external/opusfile clean

clean-self:
	$(MAKE) -C kar clean
	$(MAKE) -C melder clean
	$(MAKE) -C sys clean
	$(MAKE) -C dwsys clean
	$(MAKE) -C stat clean
	$(MAKE) -C fon clean
	$(MAKE) -C foned clean
	$(MAKE) -C dwtools clean
	$(MAKE) -C LPC clean
	$(MAKE) -C EEG clean
	$(MAKE) -C gram clean
	$(MAKE) -C FFNet clean
	$(MAKE) -C artsynth clean
	$(MAKE) -C main clean

install:
	$(INSTALL)

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink and Paul Boersma, 22 July 2022

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../fon -I ../foned -I ../dwtools -I ../sys -I ../dwsys -I ../stat

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	Cepstrogram.o \
	Formant_extensions.o \
	FormantModeler.o FormantModelerList.o \
	FormantPath.o FormantPath_to_IntervalTier.o FormantPathArea.o FormantPathEditor.o \
	LineSpectralFrequencies.o \
	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
	LPC_and_Tube.o PowerCepstrum.o PowerCepstrogram.o \
	Sound_and_LPC.o  Sound_and_LPC_robust.o \
	Sound_and_Cepstrum.o Tube.o \
	VocalTractTier.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	$(AR) cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwtools/*.h ../fon/*.h ../foned/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== dwsys/Makefile ===
# makefile for library "dwsys".
# David Weenink 20221107
# Paul Boersma 2018-08-10

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../stat -I ../sys -I ../fon -I ../external/gsl -I ../external/clapack -I ../kar -I ../dwtools

all: libdwsys.a

OBJECTS = ChebyshevSeries.o Collection_extensions.o Command.o \
	DoublyLinkedList.o Eigen.o \
	FileInMemory.o FileInMemorySet.o FileInMemoryManager.o \
	FunctionSeries.o \
	Graphics_extensions.o Index.o \
	LegendreSeries.o \
	MAT_numerics.o \
	NMF.o NUM2.o NUMhuber.o NUMmachar.o \
	NUMcomplex.o NUMfft_d.o NUMsorting.o \
	NUMmathlib.o NUMstring.o \
	Permutation.o Permutation_and_Index.o \
	Polynomial.o \
	Roots.o \
	Spline.o SVD.o

.PHONY: all clean

all: libdwsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwsys.a

libdwsys.a: $(OBJECTS) NUMmachar.o
	touch libdwsys.a
	rm libdwsys.a
	$(AR) cq libdwsys.a $(OBJECTS)
	$(RANLIB) libdwsys.a

$(OBJECTS): *.h ../melder/*.h ../stat/*.h ../sys/*.h ../fon/*.h ../external/gsl/*.h ../dwsys/*.h ../kar/*.h

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink and Paul Boersma
# 25 october 2022

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../foned -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG -I ../external/vorbis -I ../external/opusfile

OBJECTS = ActivationList.o AffineTransform.o AnalyticSound.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	Correlation.o Covariance.o CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
	Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o ConstantQSpectrograms.o \
	DataModeler.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_PatternList_Categories.o \
	Electroglottogram.o EditDistanceTable.o EEG_extensions.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	espeakdata_FileInMemory.o \
	FilterBank.o FormantGrid_extensions.o \
	GaussianMixture.o  \
	HMM.o \
	ICA.o Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridAreas.o KlattGridEditors.o KlattTable.o \
	Ltas_extensions.o \
	MDSVec.o MFCC.o \
	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o MixingMatrix.o \
	Matrix_and_NMF.o Matrix_extensions.o \
	Matrix_Categories.o MDS.o MultiSampledSpectrogram.o \
	NavigationContext.o \
	OptimalCeilingTier.o OptimalCeilingTierArea.o OptimalCeilingTierEditor.o \
	PatternList.o PCA.o \
	Pitch_extensions.o Polynomial_to_Spectrum.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o Proximity_and_Distance.o \
	Resonator.o Roots_to_Spectrum.o \
	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
	Sound_and_Spectrum_dft.o \
	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o \
	Sound_and_TextGrid_extensions.o Sound_extensions.o \
	Sound_to_MFCC.o Sounds_to_DTW.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrogram_extensions.o Spectrum_extensions.o \
	Spectrum_and_AnalyticSound.o Spectrum_and_MultiSampledSpectrogram.o \
	SSCP.o Strings_extensions.o \
	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o \
	Table_and_Strings.o Table_extensions.o Table_dataSets.o TableOfReal_and_SVD.o \
	TableOfReal_extensions.o \
	TableOfReal_and_Discriminant.o TableOfReal_and_Permutation.o \
	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
	TextGridTierNavigator.o TextGridNavigator.o Vector_extensions.o VowelEditor.o \
	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
	praat_KlattGrid_init.o praat_MultiSampledSpectrogram.o praat_DataModeler_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	$(AR) cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../fon/*.h ../foned/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h ../external/espeak/*.h

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 6 June 2022

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../foned -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o SoundSet.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o TextGrid_Sound.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   Sound_enhance.o VoiceAnalysis.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
   Photo.o Movie.o \
   Corpus.o \
   manual_Picture.o manual_Manual.o manual_Script.o \
   manual_soundFiles.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
   praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
   praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_Fon.o

.PHONY: all clean

all: libfon.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfon.a

libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	$(AR) cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../external/portaudio/*.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../foned/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== gram/Makefile ===
# Makefile of the library "gram"
# Paul Boersma, 2 August 2022

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon -I ../foned

OBJECTS = Network.o \
   OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
   OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o \
   OTMulti_ex_metrics.o Layer.o Net.o \
   NoulliGrid.o NoulliGridArea.o NoulliGridEditor.o

.PHONY: all clean

all: libgram.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libgram.a

libgram.a: $(OBJECTS)
	touch libgram.a
	rm libgram.a
	$(AR) cq libgram.a $(OBJECTS)
	$(RANLIB) libgram.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h ../foned/*.h

=== melder/Makefile ===
# Makefile of the library "melder"
# Paul Boersma, 3 November 2022

include ../makefile.defs

CPPFLAGS = -I ../melder

OBJECTS = melder.o complex.o melder_alloc.o melder_str32.o melder_colour.o \
	melder_ftoa.o melder_console.o melder_textencoding.o melder_atof.o melder_files.o \
	melder_sort.o melder_debug.o MelderFile.o melder_strings.o \
	melder_search.o \
	melder_info.o melder_error.o melder_warning.o melder_progress.o \
	melder_play.o melder_help.o melder_time.o \
	melder_audio.o melder_audiofiles.o melder_quantity.o MelderReadText.o melder_tensorio.o \
	abcio.o melder_sysenv.o regularExp.o \
	NUMmath.o \
	NUMspecfunc.o NUMear.o NUMinterpol.o NUMmetrics.o NUMrandom.o NUMfilter.o NUMlinprog.o \
	NUM.o STR.o VEC.o MAT.o STRVEC.o

.PHONY: all clean

all: libmelder.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libmelder.a

libmelder.a: $(OBJECTS)
	touch libmelder.a
	rm libmelder.a
	$(AR) cq libmelder.a $(OBJECTS)
	$(RANLIB) libmelder.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwsys/*.h

=== sys/Makefile ===
# Makefile of the library "sys"
# Paul Boersma 2022-06-27

include ../makefile.defs

# -I ../sys is there because e.g. Graphics.cpp include fon/Function.h, which again includes something from sys
CPPFLAGS = -I ../melder -I ../sys -I ../dwsys

OBJECTS = Thing.o Data.o Simple.o Collection.o Strings.o \
   Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \
   Graphics_image.o Graphics_record.o \
   Graphics_utils.o Graphics_grey.o Graphics_altitude.o \
   GraphicsPostscript.o Graphics_surface.o \
   ManPage.o ManPages.o Script.o machine.o \
   GraphicsScreen.o Printer.o \
   Preferences.o site.o \
   Picture.o Ui.o UiFile.o UiPause.o DataGui.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
   praat.o praat_actions.o praat_menuCommands.o praat_picture.o sendsocket.o \
   praat_script.o praat_statistics.o praat_logo.o praat_library.o \
   praat_objectMenus.o InfoEditor.o ScriptEditor.o ButtonEditor.o Interpreter.o Formula.o \
   StringsEditor.o DemoEditor.o \
   motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
   GuiMenu.o GuiMenuItem.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
   GuiDialog.o GuiList.o GuiFileSelect.o GuiScale.o GuiScrollBar.o GuiScrolledWindow.o \
   GuiControl.o GuiForm.o GuiOptionMenu.o GuiProgressBar.o GuiShell.o GuiThing.o Gui_messages.o

.PHONY: all clean

all: libsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libsys.a

libsys.a: $(OBJECTS)
	touch libsys.a
	rm libsys.a
	$(AR) cq libsys.a $(OBJECTS)
	$(RANLIB) libsys.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwsys/*.h

=== debian/changelog ===
praat (6.3.07-1) unstable; urgency=medium

  * New upstream version 6.3.07

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Feb 2023 03:31:58 -0300

praat (6.3.06-1) unstable; urgency=medium

  * New upstream version 6.3.06
  * d/praat.links: Fix link to SVG icon

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Feb 2023 11:58:15 -0300

praat (6.3.05-1) unstable; urgency=medium

  * New upstream version 6.3.05
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Mon, 30 Jan 2023 08:32:13 -0300

praat (6.3.03-2) unstable; urgency=medium

  * d/p/cross-build.patch: Improve patch.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #1028145)
  * d/copyright: Update Copyright years for debian/* files
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 08 Jan 2023 06:35:12 -0300

praat (6.3.03-1) unstable; urgency=medium

  * New upstream version 6.3.03

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Dec 2022 09:48:29 -0300

praat (6.3.02-1) unstable; urgency=medium

  * New upstream version 6.3.02

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 Dec 2022 21:30:36 -0300

praat (6.3.01-1) unstable; urgency=medium

  * New upstream version 6.3.01

 -- Rafael Laboissière <rafael@debian.org>  Thu, 24 Nov 2022 11:22:20 -0300

praat (6.3-1) unstable; urgency=medium

  * New upstream version 6.3
  * d/p/honor-cppflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Fri, 18 Nov 2022 19:03:12 -0300

praat (6.2.23-1) unstable; urgency=medium

  * New upstream version 6.2.23

 -- Rafael Laboissière <rafael@debian.org>  Wed, 12 Oct 2022 15:41:49 -0300

praat (6.2.22-1) unstable; urgency=medium

  * New upstream version 6.2.22
  * Install the new icon file
    + d/install.in: Use new upstream file main/praat-1675.svg
    + d/praat.links: New file (symlink praat.svg -> praat-1675.svg)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Sep 2022 05:35:10 -0300

praat (6.2.17-1) unstable; urgency=medium

  * New upstream version 6.2.17
  * Indicate that d/praat-file.desktop is forwarded upstream
    + d/s/lintian-overrides: Add override for Lintian warning
      maintainer-desktop-entry
    + d/praat-file.desktop: Add comment

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 Aug 2022 16:06:24 -0300

=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libasound2-dev,
               libgtk-3-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               pandoc,
               python3:any,
               xauth,
               xvfb
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/praat
Vcs-Git: https://salsa.debian.org/med-team/praat.git
Homepage: https://www.praat.org
Rules-Requires-Root: no

Package: praat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         oss-compat,
         ${python3:Depends}
Suggests: libasound2-plugins
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the Praat

DEBDIR = $(CURDIR)/debian
INSTDIR = $(DEBDIR)/praat

PIXDIR = usr/share/pixmaps
SVGDIR = usr/share/icons/hicolor/scalable/apps
BINDIR = usr/bin
APPDIR = usr/share/applications

SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
endif

%:
	dh $@ --with=python3

get-upstream-changelog:
	# Get upstream changelog (in HTML format) and replace some characters
	# for correct display in the final ASCII file
	( cd debian ;							    \
	  wget -N http://www.fon.hum.uva.nl/praat/manual/What_s_new_.html ; \
	  perl -pi -e "s/&#712;/'/g;s/&#716;/,/g;" What_s_new_.html )

clean:
	dh clean
	# Fix the lacking cleaning command for the main/ directory
	[ ! -f makefile.defs ] || make -C main clean

execute_before_dh_auto_clean:
	touch makefile.defs

override_dh_auto_configure:
	# Generate the debhelper files
	for i in dirs install ; do 				\
		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
	done
	# Get rid of the
	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
	# warnings and useless dependencies
	cp makefiles/makefile.defs.linux.pulse makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs

%.1: $(DEBDIR)/%.md
	# Generate the man page from the Markdown source
	pandoc --standalone --to man $< -o $@

override_dh_auto_build: praat.1 praat_nogui.1 praat-open-files.1
	dh_auto_build
	cp makefiles/makefile.defs.linux.nogui makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs
	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
		foned/FunctionEditor.o external/portaudio/*.o
	dh_auto_build

override_dh_auto_install:
	# Install the upstream changelog
	dh_installchangelogs debian/What_s_new_.html
	dh_auto_install -- INSTALL=

ifeq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
endif
endif

## praat 6.3.12

=== debian/changelog ===
praat (6.3.12-1) unstable; urgency=medium

  * New upstream version 6.3.12

 -- Rafael Laboissière <rafael@debian.org>  Thu, 27 Jul 2023 06:57:07 -0300

praat (6.3.11-3) unstable; urgency=medium

  * d/p/ftbfs-on-i386-with-g++13.patch: Extend patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jul 2023 17:03:44 -0300

praat (6.3.11-2) unstable; urgency=medium

  * d/p/ftbfs-on-i386-with-g++13.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jul 2023 12:41:22 -0300

praat (6.3.11-1) unstable; urgency=medium

  * New upstream version 6.3.11
  * d/p/new-absolute-peak.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 20 Jul 2023 08:28:20 -0300

praat (6.3.10-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 12:16:41 -0300

praat (6.3.10-1) experimental; urgency=medium

  * New upstream version 6.3.10
  * d/u/metadata: Add Changelog and FAQ fields
  * d/p/new-absolute-peak.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 May 2023 18:05:04 -0300

praat (6.3.09-1) experimental; urgency=medium

  * New upstream version 6.3.09

 -- Rafael Laboissière <rafael@debian.org>  Sat, 04 Mar 2023 08:42:33 -0300

praat (6.3.08-1) experimental; urgency=medium

  * New upstream version 6.3.08
  * Uploaded to experimental, since the bookworm freeze started

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Feb 2023 09:07:27 -0300

## praat 6.3.14

=== fon/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "fon"
-# Paul Boersma, 6 June 2022
+# Paul Boersma, 19 July 2023
 
 include ../makefile.defs
 
@@ -27,11 +27,12 @@
    ExperimentMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
    Photo.o Movie.o \
    Corpus.o \
-   manual_Picture.o manual_Manual.o manual_Script.o \
-   manual_soundFiles.o manual_tutorials.o manual_references.o \
+   manual_Picture.o manual_Manual.o manual_scripting.o manual_functions.o manual_demoWindow.o \
+   manual_whatsnew.o manual_soundFiles.o manual_tutorials.o manual_references.o \
    manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
    manual_glossary.o manual_Sampling.o manual_exampleSound.o \
-   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
+   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o \
+   manual_pointProcess.o manual_annotation.o \
    praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
    praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_Fon.o

=== debian/changelog ===
praat (6.3.14-1) unstable; urgency=medium

  * New upstream version 6.3.14

 -- Rafael Laboissière <rafael@debian.org>  Mon, 07 Aug 2023 12:40:58 -0300

## praat 6.3.16

=== debian/changelog ===
praat (6.3.16-1) unstable; urgency=medium

  * New upstream version 6.3.16
  * d/p/return-getphonemesfromtext.patch: Drop patch (applied upstreqm)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 31 Aug 2023 05:39:20 -0300

praat (6.3.15-1) unstable; urgency=medium

  * New upstream version 6.3.15
  * d/p/ftbfs-on-i386-with-g++13.patch: Refresh for new upstream version
  * d/p/return-getphonemesfromtext.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 27 Aug 2023 05:24:27 -0300

## praat 6.4.05+dfsg

=== dwtools/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	DataModeler.o Distance.o \
 	DTW.o DTW_and_TextGrid.o \
 	Discriminant.o  Discriminant_PatternList_Categories.o \
-	Electroglottogram.o EditDistanceTable.o EEG_extensions.o \
+	EditDistanceTable.o EEG_extensions.o \
 	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
 	Eigen_and_TableOfReal.o\
 	Eigen_and_SSCP.o Excitations.o \

=== debian/changelog ===
praat (6.4.05+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.05+dfsg
  * d/p/cross-build.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Fri, 02 Feb 2024 10:11:51 -0300

praat (6.4.04+dfsg-3) unstable; urgency=medium

  * d/rules: Undo changes in previous release of the package.
    They were not meant to the praat package.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Jan 2024 09:35:48 -0300

praat (6.4.04+dfsg-2) unstable; urgency=medium

  * d/rules: Avoid FTBFS on armhf.
    Thanks to Emanuele Rocca for the suggestion.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Jan 2024 17:21:05 -0300

praat (6.4.04+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.04+dfsg
  * d/p/drop-espeak-demonic-file.patch: Refresh for new upstream version
  * d/p/honor-cppflags.patch: Refresh for new upstream version
  * Drop obsolete dependency on Python
    + d/control: Ditto
    + d/rules: Drop option --with-python3 from dh command

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 Jan 2024 16:56:31 -0300

praat (6.4.03+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.03+dfsg
  * d/p/fix-action-titles.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Jan 2024 15:44:39 -0300

praat (6.4.02+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.02+dfsg
  * d/copyright: Reflect upstream changes
  * d/praat-launch.md: Fix typo
  * d/p/fix-action-titles.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Thu, 04 Jan 2024 18:42:29 -0300

praat (6.4.01+dfsg-2) unstable; urgency=medium

  * Allow Praat desktop icon to launch sound and script files
    + d/praat-open-files: Drop file
    + d/praat-open-files.md: Drop file
    + d/praat-file.desktop: Drop file
    + d/praat-file.svg: Drop file
    + d/patches/praat-launch-in-desktop.patch: New patch
    + d/clean: Clean praat-launch.1
    + d/control: Depend on file
    + d/install.in: Install d/praat-launch
    + d/praat-launch: New script
    + d/praat-launch.md: New man page
    + d/praat.manpages: Install praat-launch.1
    + d/rules: Build praat-launch.1
    + d/s/lintian-overrides: Drop override for maintainer-desktop-entry
    + d/NEWS: Document the new situation

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2023 07:53:50 -0300

praat (6.4.01+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.01+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Dec 2023 09:18:27 -0300

praat (6.4+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Nov 2023 08:41:41 -0300

praat (6.3.20+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/rules: fix from Adrian Bunk <bunk@debian.org> to run the tests on
             all architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 31 Oct 2023 11:33:42 +0100

praat (6.3.20+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3.20+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Oct 2023 01:47:26 -0300

praat (6.3.19+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3.19+dfsg
  * New scheme for obtaining the upstream changelog
    + d/What_s_new_.html: Drop file
    + d/rules: Replace the target for getting the What_s_new_.html
      file from the Praat website by a code for extracting it from file
      fon/manual_whatsnew.cpp
    + d/clean: Include d/what-is-new in the list of files to remove
    + d/s/lintian-overrides: Drop override fior source-is-missing related
      to d/What_s_new_.html

 -- Rafael Laboissière <rafael@debian.org>  Tue, 24 Oct 2023 13:16:03 -0300

praat (6.3.18+dfsg-2) unstable; urgency=medium

  * Avoid FTBFS on i386
    + d/p/ftbfs-on-i386-with-g++13.patch: Drop patch
    + d/mk-vars-hardening: Add option -fexcess-precision=fast to CXXFLAGS
    Thanks to Adrian Bunk for the tip (see
    https://github.com/praat/praat/issues/2433)
  * Avoid stack smashing in unit test
    + d/p/drop-espeak-demonic-file.patch: New patch
    + d/NEWS: Document the user visible change (drop espeak-ng file
      voices/!v/Demonic)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 22 Oct 2023 07:40:24 -0300

praat (6.3.18+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3.18+dfsg
  * d/copyright: Exclude MacOs executable files
    test/manually/spit/*mac from repacked tarball
  * d/p/extract-rows-where-mahalanobis-args.patch: Drop patch
    (applied upstream)
  * d/p/honor-cppflags.patch: Refresh for new upstream version
  * d/s/lintian-overrides: Override Lintian error source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Oct 2023 15:44:41 -0300

praat (6.3.17+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3.17+dfsg
  * Remove the *.exe files from the upstream tarball.
    This is a temporary change, which will eventually fixed in a future
    upstream release, when the *.exe files will not be included in the
    tarball anymore.
    + d/copyright: Add Files-Excluded header
    + d/watch: Add options for the tarball repacking
  * d/p/extract-rows-where-mahalanobis-args.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Sep 2023 16:42:30 -0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                libasound2-dev,
                libgtk-3-dev,
                libjack-jackd2-dev,
                libpulse-dev,
                pandoc,
-               python3:any,
                xauth,
                xvfb
 Standards-Version: 4.6.2
@@ -22,10 +20,10 @@
 
 Package: praat
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: file,
+         oss-compat,
          ${misc:Depends},
-         oss-compat,
-         ${python3:Depends}
+         ${shlibs:Depends}
 Suggests: libasound2-plugins
 Description: program for speech analysis and synthesis
  According to its authors, praat is "doing phonetics by computer".  Through

## praat 6.4.06+dfsg

=== artsynth/Makefile ===
# Makefile of the library "artsynth"
# Paul Boersma, 10 August 2018

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../fon -I ../stat

OBJECTS = Speaker.o Articulation.o Artword.o \
     Art_Speaker.o Art_Speaker_to_VocalTract.o Artword_Speaker.o Artword_Speaker_Sound.o \
     Artword_Speaker_to_Sound.o Artword_to_Art.o \
     Delta.o Speaker_to_Delta.o Art_Speaker_Delta.o \
     ArtwordEditor.o praat_Artsynth.o manual_Artsynth.o

.PHONY: all clean

all: libartsynth.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libartsynth.a

libartsynth.a: $(OBJECTS)
	touch libartsynth.a
	rm libartsynth.a
	$(AR) cq libartsynth.a $(OBJECTS)
	$(RANLIB) libartsynth.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../fon/*.h ../stat/*.h

=== sys/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "sys"
-# Paul Boersma 2022-06-27
+# Paul Boersma 2023-07-16
 
 include ../makefile.defs
 
@@ -11,13 +11,14 @@
    Graphics_image.o Graphics_record.o \
    Graphics_utils.o Graphics_grey.o Graphics_altitude.o \
    GraphicsPostscript.o Graphics_surface.o \
-   ManPage.o ManPages.o Script.o machine.o \
+   ManPage.o ManPages.o ManPages_toHtml.o Script.o Notebook.o machine.o \
    GraphicsScreen.o Printer.o \
    Preferences.o site.o \
    Picture.o Ui.o UiFile.o UiPause.o DataGui.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
    praat.o praat_actions.o praat_menuCommands.o praat_picture.o sendsocket.o \
    praat_script.o praat_statistics.o praat_logo.o praat_library.o \
-   praat_objectMenus.o InfoEditor.o ScriptEditor.o ButtonEditor.o Interpreter.o Formula.o \
+   praat_objectMenus.o InfoEditor.o ScriptEditor.o NotebookEditor.o ButtonEditor.o \
+   Interpreter.o Formula.o \
    StringsEditor.o DemoEditor.o \
    motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
    GuiMenu.o GuiMenuItem.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \

=== external/espeak/Makefile ===
# makefile for libespeak
# djmw 20230912
# ppgb 20240105  compatible with 32-bit compilers (split off __ru from create_espeak_ng_FileInMemorySet)

include ../../makefile.defs

CPPFLAGS = -I ../../kar -I ../../melder -I ../../dwtools -I ../../sys -I ../../dwsys -I ../../stat

OBJECTS = case.o categories.o common.o compiledata.o compiledict.o \
	dictionary.o \
	encoding.o error.o espeak_api.o \
	intonation.o klatt.o langopts.o mnemonics.o \
	numbers.o phonemelist.o proplist.o readclause.o \
	setlengths.o soundicon.o speech.o \
	ssml.o synthdata.o synthesize.o \
	synth_mbrola.o tr_languages.o translate.o translateword.o voices.o wavegen.o \
	create_espeak_ng_FileInMemoryManager.o \
	create_espeak_ng_FileInMemorySet__ru.o create_espeak_ng_FileInMemorySet.o \
	espeak_io.o

.PHONY: all clean

all: libespeak.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libespeak.a

libespeak.a: $(OBJECTS)
	touch libespeak.a
	rm libespeak.a
	$(AR) cq libespeak.a $(OBJECTS)
	$(RANLIB) libespeak.a

$(OBJECTS):  *.h ../../kar/*.h ../../melder/*.h ../../sys/*.h ../../dwsys/*.h ../../stat/*.h

=== external/flac/Makefile ===
# Makefile of the library "external/flac"
# Erez Volk, March 2007
# Paul Boersma, 23 August 2021

include ../../makefile.defs

CPPFLAGS = -I ../../melder

OBJECTS = \
	flac_bitmath.o \
	flac_bitreader.o \
	flac_bitwriter.o \
	flac_cpu.o \
	flac_crc.o \
	flac_fixed.o \
	flac_float.o \
	flac_format.o \
	flac_lpc.o \
	flac_md5.o \
	flac_memory.o \
	flac_metadata_iterators.o \
	flac_metadata_object.o \
	flac_stream_decoder.o \
	flac_stream_encoder.o \
	flac_stream_encoder_framing.o \
	flac_window.o \
	flac_windows_unicode_filenames.o

.PHONY: all clean

all: libflac.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libflac.a

libflac.a: $(OBJECTS)
	touch libflac.a
	rm libflac.a
	$(AR) cq libflac.a $(OBJECTS)
	$(RANLIB) libflac.a

$(OBJECTS): *.h ../../melder/*.h

=== debian/changelog ===
praat (6.4.06+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:15 +1100

praat (6.4.06+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:30:15 +0000

praat (6.4.06+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.06+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 27 Feb 2024 07:34:51 -0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: praat
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Section: science

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,6 @@
 SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                 s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 include /usr/share/dpkg/architecture.mk
 -include /usr/share/dpkg/buildtools.mk
 PKG_CONFIG ?= pkg-config
@@ -24,14 +22,7 @@
 endif
 
 %:
-	dh $@ --with=python3
-
-get-upstream-changelog:
-	# Get upstream changelog (in HTML format) and replace some characters
-	# for correct display in the final ASCII file
-	( cd debian ;							    \
-	  wget -N http://www.fon.hum.uva.nl/praat/manual/What_s_new_.html ; \
-	  perl -pi -e "s/&#712;/'/g;s/&#716;/,/g;" What_s_new_.html )
+	dh $@
 
 clean:
 	dh clean
@@ -57,7 +48,7 @@
 	# Generate the man page from the Markdown source
 	pandoc --standalone --to man $< -o $@
 
-override_dh_auto_build: praat.1 praat_nogui.1 praat-open-files.1
+override_dh_auto_build: praat.1 praat_nogui.1 praat-launch.1
 	dh_auto_build
 	cp makefiles/makefile.defs.linux.nogui makefile.defs
 	# Add hardening flags
@@ -67,13 +58,12 @@
 	dh_auto_build
 
 override_dh_auto_install:
-	# Install the upstream changelog
-	dh_installchangelogs debian/What_s_new_.html
+	# Build and install the upstream changelog
+	sed -n '/^R"~~~(/,/^)~~~"/{/^R"~~~(/!{/^)~~~"/!p}}' fon/manual_whatsnew.cpp > debian/what-is-new
+	dh_installchangelogs debian/what-is-new
 	dh_auto_install -- INSTALL=
 
-ifeq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
 endif
-endif

## praat 6.4.12+dfsg

=== sys/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile of the library "sys"
-# Paul Boersma 2023-07-16
+# Paul Boersma 2024-04-26
 
 include ../makefile.defs
 
 # -I ../sys is there because e.g. Graphics.cpp include fon/Function.h, which again includes something from sys
-CPPFLAGS = -I ../melder -I ../sys -I ../dwsys
+CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys
 
 OBJECTS = Thing.o Data.o Simple.o Collection.o Strings.o \
    Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \

=== debian/changelog ===
praat (6.4.12+dfsg-3) unstable; urgency=medium

  * d/p/test-datamodeler-debug.patch: Drop patch
  * d/p/test-datamodeler-tolerance.patch: New patch (Closes: #1070994)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 May 2024 02:08:25 -0300

praat (6.4.12+dfsg-2) unstable; urgency=medium

  * d/p/test-datamodeler-debug.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 May 2024 15:47:37 -0300

praat (6.4.12+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.12+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 04 May 2024 15:18:08 -0300

praat (6.4.11+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.11+dfsg
  * d/p/honor-cppflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Mon, 29 Apr 2024 02:27:43 -0300

praat (6.4.10+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.10+dfsg
  * d/p/drop-espeak-demonic-file.patch: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/clean: Remove leftover directories test/script/kanweg*/

 -- Rafael Laboissière <rafael@debian.org>  Tue, 23 Apr 2024 07:35:09 -0300

praat (6.4.07+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.07+dfsg
  * d/p/drop-espeak-demonic-file.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Mar 2024 12:42:55 -0300

## praat 6.4.23+dfsg

=== melder/Makefile ===
# Makefile of the library "melder"
# Paul Boersma, 20 September 2024

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../sys

OBJECTS = melder.o complex.o melder_alloc.o melder_str32.o melder_colour.o \
	melder_ftoa.o melder_console.o melder_atof.o melder_files.o \
	melder_sort.o MelderString.o melder_textencoding.o melder_debug.o MelderFile.o MelderCat.o \
	melder_search.o \
	melder_info.o melder_error.o melder_warning.o melder_progress.o \
	melder_play.o melder_help.o melder_time.o \
	melder_audio.o melder_audiofiles.o melder_quantity.o MelderReadText.o melder_tensorio.o \
	abcio.o melder_sysenv.o melder_app.o regularExp.o \
	NUMmath.o \
	NUMspecfunc.o NUMear.o NUMinterpol.o NUMmetrics.o NUMrandom.o NUMfilter.o NUMlinprog.o \
	NUM.o STR.o VEC.o MAT.o STRVEC.o

.PHONY: all clean

all: libmelder.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libmelder.a

libmelder.a: $(OBJECTS)
	touch libmelder.a
	rm libmelder.a
	$(AR) cq libmelder.a $(OBJECTS)
	$(RANLIB) libmelder.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwsys/*.h

=== debian/changelog ===
praat (6.4.23+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.23+dfsg
  * Use a real file as the application icon
    + d/install.in: Only install file main/praat-480.svg
    + d/p/real-file-icon.patch: New patch (use praat-480 as Icon)
    + d/praat.links: Drop file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Oct 2024 10:00:02 -0300

praat (6.4.22+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.22+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Oct 2024 03:32:15 -0300

praat (6.4.21+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.21+dfsg
  * d/NEWS: Fix timestamps.
    This was causing parsing errors in dh_installchangelogs and
    preventing the file to be trimmed.

 -- Rafael Laboissière <rafael@debian.org>  Sun, 29 Sep 2024 15:32:50 -0300

praat (6.4.20+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.20+dfsg
  * d/p/drop-espeak-demonic-file.patch: Drop patch (applied upstream)
  * d/p/honor-cppflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 12:36:35 -0300

praat (6.4.13+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.13+dfsg
  * d/p/test-datamodeler-tolerance.patch: Drop patch (applied upstream)
  * d/p/drop-espeak-demonic-file.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Tue, 25 Jun 2024 09:05:42 -0300

## praat 6.4.25+dfsg

=== debian/changelog ===
praat (6.4.25+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.25+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Dec 2024 04:39:28 -0300

praat (6.4.24+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.24+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 05 Dec 2024 05:44:29 -0300
